This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 127750 - uhci_hcd controller halted with 4GB RAM in Dell Precision 450
uhci_hcd controller halted with 4GB RAM in Dell Precision 450
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-13 08:49 EDT by Mark Standring
Modified: 2015-01-04 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 02:08:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dmesg snip for 4gb USB problem (1.68 KB, text/plain)
2004-07-13 08:52 EDT, Mark Standring
no flags Details

  None (edit)
Description Mark Standring 2004-07-13 08:49:22 EDT
Description of problem:
- Installed 4, 1GB DIMMS in Dell Precision 450
- Boot with kernel 2.6.6-1.435.2.3smp (or non-SMP)
- USB not functional (USB mouse doesn't work)
- dmesg shows: uhci_hcd 0000:00:1d.0: host controller process error,
something bad happened!
uhci_hcd 0000:00:1d.0: host controller halted, very bad!
- less than 4GB, USB is functional


Version-Release number of selected component (if applicable):

UHCI Driver v2.2

How reproducible:

Boot either SMP or UP kernel with 4GB (4-1GB DIMMS tested)
Comment 1 Mark Standring 2004-07-13 08:52:28 EDT
Created attachment 101858 [details]
dmesg snip for 4gb USB problem
Comment 2 Barry K. Nathan 2004-07-14 01:32:17 EDT
This sounds like something I'm seeing on a Dell Precision 450 with 4GB
of RAM, but I don't remember those exact kernel messages and I need to
reinstall FC2 and retest before I can say for certain that it's
experiencing this exact bug.

BTW, in case something keeps me from testing this in the near future,
does using the "mem=" option for the kernel (e.g. "mem=2048m") make
the mouse work, or do you have to physically remove memory?
Comment 3 Mark Standring 2004-07-14 08:34:55 EDT
Barry,

Yep mem=2048m makes the mouse work and no errors from uhci_hcd.

thanks,
Mark.
Comment 4 Barry K. Nathan 2004-07-18 07:53:55 EDT
MD5 (kernel-2.6.6-1.435.2.3.no4g4g.i686.rpm) =
745b85de0b392598554773c118c2942e
MD5 (kernel-2.6.6-1.435.2.3.no4g4g.src.rpm) =
bfb80eafef2953d3918ffc59cf7eadb7
MD5 (kernel-debuginfo-2.6.6-1.435.2.3.no4g4g.i686.rpm) =
edfb5e5f3a95237775f8da8627c5658d
MD5 (kernel-smp-2.6.6-1.435.2.3.no4g4g.i686.rpm) =
770413051a484891d2c745900e9a94d0

available at:
http://math.uci.edu/~bnathan/linux/kernel-no4g4g


These kernels have 4g4g disabled in the kernel .config. With these,
the USB ports on this Precision 450 work, without having to use mem=
to limit memory.

I'm guessing now that this issue may be 4g4g-related somehow...
Comment 5 Barry K. Nathan 2004-07-18 08:53:50 EDT
With plain 2.6.6-1.435.2.3smp (i.e. without disabling 4g4g), mem=2596m
works, mem=2597m breaks...
Comment 6 Dave Jones 2005-04-16 02:08:57 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.
Comment 7 Barry K. Nathan 2005-05-19 04:25:58 EDT
FWIW, this got "fixed" (?) by one of the FC2 update kernels, which disabled 4g4g...

Note You need to log in before you can comment on or make changes to this bug.